Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class UserNotice

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.UserNotice

All Implemented Interfaces:
  DEREncodable

    public class UserNotice

extends ASN1Encodable

`UserNotice` class, used in `CertificatePolicies` X509 extensions (in policy qualifiers).

     UserNotice ::= SEQUENCE {
          noticeRef        NoticeReference OPTIONAL,
          explicitText     DisplayText OPTIONAL}

See Also:
  `PolicyQualifierId`, `PolicyInformation`

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`UserNotice(ASN1Sequence as)` Creates a new `UserNotice` instance.
`UserNotice(NoticeReference noticeRef, DisplayText explicitText)` Creates a new `UserNotice` instance.
`UserNotice(NoticeReference noticeRef, java.lang.String str)` Creates a new `UserNotice` instance.

Method Summary
`DisplayText` `getExplicitText()`
`NoticeReference` `getNoticeRef()`
`DERObject` `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserNotice

    public UserNotice(NoticeReference noticeRef,
                      DisplayText explicitText)

  Creates a new `UserNotice` instance.

  Parameters:
    `noticeRef` - a `NoticeReference` value
    `explicitText` - a `DisplayText` value

### UserNotice

    public UserNotice(NoticeReference noticeRef,
                      java.lang.String str)

  Creates a new `UserNotice` instance.

  Parameters:
    `noticeRef` - a `NoticeReference` value
    `str` - the explicitText field as a String.

### UserNotice

    public UserNotice(ASN1Sequence as)

  Creates a new `UserNotice` instance.

  Useful from reconstructing a `UserNotice` instance from its encodable/encoded form.

  Parameters:
    `as` - an `ASN1Sequence` value obtained from either calling @{link toASN1Object()} for a `UserNotice` instance or from parsing it from a DER-encoded stream.

Method Detail

### getNoticeRef

    public NoticeReference getNoticeRef()

### getExplicitText

    public DisplayText getExplicitText()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45